﻿@charset "UTF-8";
.cx-form {
  width: 100%;
}
.cx-form .form-group.-txt .--cx71.--left input {
  padding-left: 1.875rem;
  height: 1.75rem;
}
.cx-form .form-group.-txt .--cx71.--right input {
  padding-right: 1.875rem;
}
.cx-form label.s2 {
  padding-top: 0.125rem;
}
.cx-form .chk-label span {
  float: left;
}

.modal-dialog {
  /* Width */
  max-width: 960px;
  max-height: 600px;
}

.cb-dropdown-wrap {
  max-height: 80px; /* At most, around 3/4 visible items. */
  position: relative;
  height: 23px;
}

.cb-dropdown,
.cb-dropdown li {
  margin: 0;
  padding: 0;
  list-style: none;
  font-weight: initial;
}

.cb-dropdown {
  z-index: 1;
  width: 100%;
  height: 100%;
  overflow: hidden;
  background: #fff;
  border: 1px solid #888;
}

/* For selected filter. */
.active .cb-dropdown {
  background: white;
}

.cb-dropdown-wrap:hover .cb-dropdown {
  height: 80px;
  overflow: auto;
  transition: 0.2s height ease-in-out;
}

.cb-dropdown li label {
  display: block;
  position: relative;
  cursor: pointer;
  line-height: 19px; /* Match height of .cb-dropdown-wrap */
}

.cb-dropdown li label > input {
  position: inherit;
  right: 0;
  top: 0;
  width: 16px;
}

.cb-dropdown li label > span {
  display: block;
  margin-right: 20px; /* At least, width of the checkbox. */
  font-family: sans-serif;
  font-size: 0.8em;
  font-weight: normal;
  text-align: right;
}

.modal-body .cx-table .dataTables_wrapper {
  overflow-x: auto;
}

.cx-table table.dataTable tbody > tr.updating {
  position: relative;
}
.cx-table table.dataTable tbody > tr.updating td {
  transition: opacity 0.3s;
  opacity: 0.1;
}
.cx-table table.dataTable tbody > tr.updating:after {
  position: absolute;
  content: "Updating...";
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  font-size: 1.1em;
  z-index: 10000;
  display: flex;
  align-items: center;
  justify-content: center;
  max-width: 100%;
}
.cx-table table.dataTable tbody > tr.selected, .cx-table table.dataTable tbody > tr > .selected {
  background-color: var(--primary-l4) !important;
}
.cx-table table.dataTable thead tr {
  background-color: var(--light-l2) !important;
}
.cx-table table.dataTable thead th:first-child {
  border-left: 1px solid var(--light) !important;
}
.cx-table table.dataTable thead th, .cx-table table.dataTable thead td {
  border-bottom: 1px solid var(--light) !important;
}
.cx-table table.dataTable thead tr.filters th {
  cursor: default;
  background: none;
}
.cx-table table.dataTable thead tr.filters th:first-child {
  border-top-left-radius: 0;
}
.cx-table table.dataTable thead tr.filters th:last-child {
  border-top-right-radius: 0;
}
.cx-table table.dataTable.stripe tbody > tr.odd.selected, .cx-table table.dataTable.stripe tbody > tr.odd > .selected {
  background-color: var(--primary-l4);
}
.cx-table table.dataTable.display tbody > tr.odd.selected, .cx-table table.dataTable.display tbody > tr.odd > .selected {
  background-color: var(--primary-l4);
}
.cx-table table.dataTable.hover tbody > tr.selected:hover, .cx-table table.dataTable.hover tbody > tr > .selected:hover {
  background-color: var(--primary-l3);
}
.cx-table table.dataTable.display tbody > tr.selected:hover, .cx-table table.dataTable.display tbody > tr > .selected:hover {
  background-color: var(--primary-l3);
}

.cx-radio {
  font-size: 0.75rem;
}
.cx-radio.-inline > label {
  min-width: 200px;
  vertical-align: middle;
  margin: 0 3.4375rem 0.3125rem 0;
}

.-ta.custom-txt-lg {
  border: 0.0625rem solid var(--light);
  border-radius: 0.875rem;
  width: 100%;
  padding: 0.3125rem 0.625rem;
}
.-ta.custom-txt-lg > label:first-child {
  width: 100%;
  margin-bottom: 0.625rem;
}
.-ta.custom-txt-lg > label:first-child img {
  margin-right: 0.3125rem;
}
.-ta.custom-txt-lg textarea {
  width: 100%;
  border: 0rem;
  font-size: 0.75rem;
}
.-ta.custom-txt-lg textarea:focus {
  outline: 0rem;
  border: 0rem !important;
}

/*Select2 ReadOnly Start*/
.-txt select[readonly].select2-hidden-accessible + .select2-container {
  pointer-events: none;
  touch-action: none;
}
.-txt select[readonly].select2-hidden-accessible + .select2-container .select2-selection {
  background: var(--light-l4);
  box-shadow: none;
}
.-txt select[readonly].select2-hidden-accessible + .select2-container .select2-selection__arrow {
  display: none;
}

select[readonly].select2-hidden-accessible + .select2-container .select2-selection__clear {
  display: none;
}

/*Select2 ReadOnly End*/
.-txt .select2-container--default .select2-selection--single .select2-selection__clear > span {
  padding: 0rem 0.25rem;
}
.-txt .select2-container--default .select2-selection--single .select2-selection__clear > span:hover {
  padding: 0rem 0.25rem;
  font-weight: bold !important;
  background-color: var(--light);
  border-radius: 0.875rem;
}
.-txt .select2-container--default .select2-selection--multiple {
  padding-left: 0.3125rem;
}
.-txt .--cx71.--left .select2-container--default .select2-selection--multiple {
  padding-left: 1.5625rem;
  max-height: 100px;
  overflow-y: auto;
}
.-txt .--cx71.--right .select2-container--default .select2-selection--multiple {
  padding-right: 1.6875rem;
  max-height: 100px;
  overflow-y: auto;
}
.-txt .select2-container--default .select2-selection--multiple .select2-selection__choice, .-txt .select2-container .select2-search--inline .select2-search__field {
  font-size: 0.8125rem;
  font-family: var(--body-font);
}
.-txt .select2-results__option {
  font-size: 0.8125rem;
}
.-txt .select2-container--default.select2-container--focus .select2-selection--multiple {
  border: 0.0625rem solid var(--light);
  border-radius: 0.875rem;
}
.-txt .select2-container--default .select2-selection--multiple {
  border: 0.0625rem solid var(--light) !important;
  border-radius: 0.875rem !important;
  min-height: 1.75rem;
  padding-bottom: 0.1875rem;
}
.-txt .select2-container--default .select2-selection--multiple[aria-expanded=true] {
  box-shadow: 0 0 0 0.1rem rgba(0, 123, 255, 0.25);
}
.-txt .select2 textarea:focus {
  border: 0.0625rem solid #fff !important;
}
.-txt .select2-container--default .select2-selection--multiple .select2-selection__choice {
  background-color: var(--white);
  border: 0.0625rem solid var(--info);
  font-weight: bold;
  color: var(--primary);
  margin-top: 0.1875rem;
}
.-txt .select2-container--default .select2-selection--single .select2-selection__arrow {
  right: 0.3125rem;
}
.-txt .select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
  color: var(--info);
}
.-txt .select2-container--default .select2-selection--multiple .select2-selection__choice__remove:hover {
  background-color: var(--info);
  color: #fff;
}
.-txt .select2-container--default .select2-selection--single {
  border: 0.0625rem solid var(--light);
  border-radius: 0.875rem;
}
.-txt .select2-container--default .select2-selection--single[aria-expanded=true] {
  box-shadow: 0 0 0 0.1rem rgba(0, 123, 255, 0.25);
}
.-txt .select2-container .select2-selection--single {
  height: 1.75rem;
  padding-left: 0.0625rem;
}
.-txt .--cx71.--left .select2-container .select2-selection--single {
  padding-left: 1.375rem;
}
.-txt .--cx71.--right .select2-container--default .select2-selection--single .select2-selection__arrow {
  right: 1.5625rem;
}
.-txt .--cx71.--right .select2-container--default .select2-selection--single .select2-selection__clear {
  margin-right: 2.5rem;
}
.-txt .select2-container {
  font-weight: bold;
  font-size: 0.8125rem;
  color: var(--primary);
}

.cx-ltb table {
  border-collapse: separate;
  border-spacing: 0;
  min-width: 350px;
}
.cx-ltb table tr th, .cx-ltb table tr td {
  border-right: 0.0625rem solid var(--light);
  border-bottom: 0.0625rem solid var(--light);
  padding: 0.3125rem;
  font-size: 0.75rem;
  text-align: center;
}
.cx-ltb table tr th:first-child, .cx-ltb table tr td:first-child {
  border-left: 0.0625rem solid var(--light);
}
.cx-ltb table tr th {
  background: #f5f5f5;
  border-top: 0.0625rem solid var(--light);
  color: var(--primary);
}
.cx-ltb table thead tr:first-child th:first-child {
  border-top-left-radius: 0.375rem;
}
.cx-ltb table thead tr:first-child th:last-child {
  border-top-right-radius: 0.375rem;
}
.cx-ltb table tbody tr:last-child td:first-child, .cx-ltb table tfoot tr:last-child td:first-child {
  border-bottom-left-radius: 0.375rem;
}
.cx-ltb table tbody tr:last-child td:last-child, .cx-ltb table tfoot tr:last-child td:last-child {
  border-bottom-right-radius: 0.375rem;
}

.--cx-loading {
  opacity: 0.2;
}

.--cx71 {
  position: relative;
}
.--cx71 a.-disabled {
  pointer-events: none;
  cursor: default;
}
.--cx71 .--cx72 {
  position: absolute;
  top: 0.28rem;
  z-index: 1;
}
.--cx71 i.--cx72 {
  top: 0.5rem;
}
.--cx71 img.--cx72 {
  top: 0.4rem;
  width: 1rem;
  height: 1rem;
}
.--cx71.--right .--cx72 {
  right: 0.625rem;
}
.--cx71.--left .--cx72 {
  left: 0.625rem;
}
.--cx71 i.--cx72 {
  opacity: 0.3;
}
.--cx71 a .--cx72 {
  color: var(--info);
  transition: all 0.3s ease;
  opacity: 1;
  padding: 0.5rem;
  top: 0;
}
.--cx71 a:hover .--cx72 {
  filter: brightness(75%);
}
.--cx71.--right a .--cx72 {
  right: 0.25rem;
}
.--cx71.--left a .--cx72 {
  left: 0.25rem;
}

.-txt .select2-container--default .select2-selection--single .select2-selection__rendered {
  line-height: 1.625rem;
  color: var(--primary);
}
.-txt .select2-container--default .select2-selection--single .select2-selection__placeholder {
  font-weight: normal;
  font-size: 0.8125rem;
  color: var(--secondary-d2);
}
.-txt .select2-container--default .select2-selection--multiple .select2-selection__placeholder {
  font-weight: normal;
  filter: brightness(150%);
  color: var(--light);
}
.-txt input::placeholder {
  font-weight: normal;
}
.-txt .select2-container .select2-search--inline .select2-search__field {
  margin-top: 0.3125rem;
  margin-left: 0;
  padding-left: 5px;
}

.cx-table table.dataTable td.select-checkbox, .cx-table table.dataTable th.select-checkbox {
  position: relative;
}
.cx-table table.dataTable td.select-checkbox:before, .cx-table table.dataTable tbody td.select-checkbox:after {
  display: block;
  position: absolute;
  top: 50%;
  left: 50%;
  width: 0.75rem;
  height: 0.75rem;
  box-sizing: border-box;
}
.cx-table table.dataTable th.select-checkbox:before, .cx-table table.dataTable th.select-checkbox:after {
  display: block;
  position: absolute;
  top: 50%;
  left: 50%;
  width: 0.75rem;
  height: 0.75rem;
  box-sizing: border-box;
}
.cx-table table.dataTable td.select-checkbox:before, .cx-table table.dataTable.-sm-multi th.select-checkbox:before {
  content: " ";
  margin-top: -0.375rem;
  margin-left: -0.375rem;
  border: 0.0625rem solid black;
  border-radius: 0.1875rem;
}
.cx-table table.dataTable .selected td.select-checkbox:after, .cx-table table.dataTable th.select-checkbox.selected:after {
  content: "✓";
  font-size: 1.25rem;
  margin-top: -1rem;
  margin-left: -0.375rem;
  text-align: center;
  text-shadow: 0.0625rem 0.0625rem #B0BED9, -0.0625rem -0.0625rem #B0BED9, 0.0625rem -0.0625rem #B0BED9, -0.0625rem 0.0625rem #B0BED9;
}
.cx-table table.dataTable thead th.select-checkbox.selected:after {
  margin-top: -45%;
}
.cx-table table.dataTable.compact td.select-checkbox:before, .cx-table table.dataTable.compact th.select-checkbox:before {
  margin-top: -0.75rem;
}

table.dataTable tr.selected td.select-checkbox:after, table.dataTable tr.selected th.select-checkbox:after {
  content: "✓";
  font-size: 1.25rem;
  margin-top: -1.1875rem;
  margin-left: -0.375rem;
  text-align: center;
  text-shadow: 0.0625rem 0.0625rem #B0BED9, -0.0625rem -0.0625rem #B0BED9, 0.0625rem -0.0625rem #B0BED9, -0.0625rem 0.0625rem #B0BED9;
}

.cx-table table.dataTable.compact tbody td.select-checkbox:before, .cx-table table.dataTable.compact tbody th.select-checkbox:before {
  margin-top: -0.75rem;
}
.cx-table table.dataTable.compact tr.selected td.select-checkbox:after, .cx-table table.dataTable.compact tr.selected th.select-checkbox:after {
  margin-top: -1.6875rem;
}
.cx-table .dataTables_wrapper .dataTables_paginate .paginate_button {
  border-radius: 1rem;
  border: 0.0625rem solid #efefef;
  font-size: 0.75rem;
}
.cx-table .dataTables_wrapper .dataTables_paginate .paginate_button.current {
  color: var(--info) !important;
  border-color: var(--info);
  background: white;
}
.cx-table .dataTables_wrapper .dataTables_paginate .paginate_button.current:hover {
  color: var(--info) !important;
  border-color: var(--info);
  background: white;
}
.cx-table .dataTables_wrapper .dataTables_paginate .paginate_button.disabled {
  border-color: #efefef;
  background: inherit;
  opacity: 0.3;
}
.cx-table .dataTables_wrapper .dataTables_paginate .paginate_button.disabled:hover, .cx-table .dataTables_wrapper .dataTables_paginate .paginate_button.disabled:active {
  border-color: #efefef;
  background: inherit;
  opacity: 0.3;
}
.cx-table .dataTables_wrapper .dataTables_paginate .paginate_button:hover {
  background: var(--info);
  border-color: var(--info);
}
.cx-table tr .-select .x, .cx-table tr .-select .y {
  display: none;
}
.cx-table tr.selected .-select .z {
  display: none;
}
.cx-table tr.selected .-select .x {
  display: inherit;
}
.cx-table tr.selected .-select .y {
  display: none;
}
.cx-table tr.selected .-select:hover .x {
  display: none;
}
.cx-table tr.selected .-select:hover .y {
  display: inherit;
}
.cx-table table.dataTable tbody td {
  padding: 0.5rem 0.3125rem;
}
.cx-table td.-select-cell {
  text-align: center;
}

.cx-ltb .form-group {
  margin: 0;
}

.-txt .select2-container--disabled .select2-selection__arrow {
  display: none;
}
.-txt .select2-container--default.select2-container--disabled .select2-selection--multiple, .-txt .select2-container--default.select2-container--disabled .select2-selection--single {
  background-color: var(--light-l4);
}
.-txt .select2-container--default.select2-container--disabled .select2-selection__placeholder {
  display: none;
}

.btn.btn-rounded {
  margin: auto;
  padding: 0.4375rem;
  border-radius: 2rem;
  line-height: 1em;
  float: right;
}

.cx-table th.--reorder.sorting_disabled.sorting_asc {
  background-image: none !important;
}
.cx-table .dataTables_wrapper .dataTables_filter input {
  padding: 0.125rem 0.625rem;
  border-radius: 0.9375rem;
}
.cx-table .dataTables_wrapper .dataTables_length select {
  border-radius: 0.9375rem;
  padding: 0.125rem 0.625rem;
}
.cx-table table.dataTable.no-footer {
  border-bottom: 0.0625rem solid var(--light-l4);
}
.cx-table table.dataTable.row-border tbody th, .cx-table table.dataTable.row-border tbody td {
  border-top: 0.0625rem solid var(--light-l4);
}
.cx-table table.dataTable.display tbody th, .cx-table table.dataTable.display tbody td {
  border-top: 0.0625rem solid var(--light-l4);
}
.cx-table table.dataTable thead tr {
  color: var(--primary);
  font-weight: bold;
  font-size: 0.875rem;
  border: 0rem !important;
}
.cx-table table thead th {
  border-top: 0.0625rem solid var(--light-l4);
}
.cx-table table thead th:first-child {
  border-top-left-radius: 1rem;
  border-left: 0.0625rem solid var(--light-l4);
}
.cx-table table thead th:last-child {
  border-top-right-radius: 1rem;
  border-right: 0.0625rem solid var(--light-l4);
}
.cx-table table.dataTable.stripe tbody tr.odd, .cx-table table.dataTable.display tbody tr.odd, .cx-table table.dataTable.stripe tbody tr.odd, .cx-table table.dataTable.display tbody tr.odd {
  background-color: #fcfcfc;
}
.cx-table table.dataTable.hover tbody tr:hover, .cx-table table.dataTable.display tbody tr:hover {
  background-color: #f6f6f6;
}

.bootbox.modal .modal-dialog {
  max-width: 480px;
}

.cx-table table.compact thead th:first-child {
  border-top-left-radius: 0.375rem;
}
.cx-table table.compact thead th:last-child {
  border-top-right-radius: 0.375rem;
}
.cx-table table.dataTable.no-footer.compact {
  border: 0.0625rem solid var(--light);
  border-radius: 0.375rem;
}
.cx-table table.dataTable.compact tbody tr:last-child td:last-child {
  border-bottom-right-radius: 0.375rem;
}
.cx-table table.dataTable.compact tbody tr:last-child td:first-child {
  border-bottom-left-radius: 0.375rem;
}

.signature-pad {
  position: relative;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  font-size: 0.625rem;
  width: 100%;
  height: 100vh;
  margin: auto;
  max-width: 700px;
  max-height: 460px;
  border: 0.0625rem solid #e8e8e8;
  background-color: #fff;
  box-shadow: 0 0.0625rem 0.25rem rgba(0, 0, 0, 0.27), 0 0 2.5rem rgba(0, 0, 0, 0.08) inset;
  border-radius: 0.25rem;
  padding: 1rem;
}
.signature-pad::before, .signature-pad::after {
  position: absolute;
  z-index: -1;
  content: "";
  width: 40%;
  height: 0.625rem;
  bottom: 0.625rem;
  background: transparent;
  box-shadow: 0 0.5rem 0.75rem rgba(0, 0, 0, 0.4);
}
.signature-pad::before {
  left: 1.25rem;
  -webkit-transform: skew(-3deg) rotate(-3deg);
  transform: skew(-3deg) rotate(-3deg);
}
.signature-pad::after {
  right: 1.25rem;
  -webkit-transform: skew(3deg) rotate(3deg);
  transform: skew(3deg) rotate(3deg);
}

.signature-pad--body {
  position: relative;
  -webkit-box-flex: 1;
  -ms-flex: 1;
  flex: 1;
  border: 0.0625rem solid var(--light);
}
.signature-pad--body canvas {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  border-radius: 0.25rem;
  box-shadow: 0 0 0.3125rem rgba(0, 0, 0, 0.02) inset;
}

.signature-pad--footer {
  color: #C3C3C3;
  text-align: center;
  font-size: 1.2em;
  margin-top: 0.5rem;
}

.signature-pad--actions {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  margin-top: 0.5rem;
}

.-cx-sign-img {
  max-height: 100px;
}

#-cx-lightbox {
  position: fixed;
  z-index: 9999;
  width: 100%;
  height: 100%;
  text-align: center;
  top: 0;
  left: 0;
  background: rgba(0, 0, 0, 0.7);
}
#-cx-lightbox > .row {
  position: absolute;
  top: 40%;
  left: 50%;
  transform: translate(-50%, -40%);
}
#-cx-lightbox > .row > .col {
  color: white;
  font-size: 0.875rem;
}

.pac-container {
  z-index: 1051 !important;
}

.CodeMirror .--cx80 {
  position: absolute;
  top: 5px;
  right: 20px;
  box-shadow: none;
  z-index: 6;
}

.cx-checkboxgroup > label {
  margin-bottom: 2px;
  font-weight: 700;
  color: var(--primary);
  font-size: 0.75rem;
}

.withouttitle {
  padding-top: 17px;
}

.horizontalview {
  display: flex;
  flex-wrap: wrap;
}
.horizontalview > label {
  display: block;
  width: 100%;
}
.horizontalview .form-check + .form-check {
  margin-left: 15px;
}

.cx-treeview ul {
  list-style: none;
  margin: 0;
  padding: 0;
}
.cx-treeview ul li {
  margin: 0;
  padding: 0 0 0 15px;
  position: relative;
}
.cx-treeview ul li.dpt > div {
  background-color: var(--light-l4);
}
.cx-treeview ul li.slc > div {
  background-color: var(--light-l4);
}
.cx-treeview ul li > i.fa.fa-plus {
  position: absolute;
  top: 10px;
  left: 0;
  cursor: pointer;
}
.cx-treeview ul li > i.fa.fa-minus {
  position: absolute;
  top: 10px;
  left: 0;
  cursor: pointer;
}
.cx-treeview ul li div {
  display: flex;
  align-items: center;
  cursor: pointer;
  padding: 5px 15px;
}
.cx-treeview ul li div:hover {
  background: var(--light);
}
.cx-treeview ul li div label {
  margin-bottom: 0;
  pointer-events: none;
  user-select: none;
}
.cx-treeview ul li div input[type=checkbox] {
  margin-left: auto;
}
.cx-treeview ul ul {
  display: none;
}
.cx-treeview ul ul.opened {
  display: block;
}
